# pandas.TimedeltaIndex.mean

TimedeltaIndex.mean(*args, **kwargs)

  Return the mean value of the Array.

  New in version 0.25.0.

  Parameters
    skipna bool, default True

      Whether to ignore any NaT elements.

    axis int, optional, default 0
  Returns
    scalar

      Timestamp or Timedelta.

  See also

  `numpy.ndarray.mean`

    Returns the average of array elements along a given axis.

  `Series.mean`

    Return the mean value in a Series.

  Notes

  mean is only defined for Datetime and Timedelta dtypes, not for Period.